/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package filesender;

import java.io.*;

/**
 * 設定を管理するクラス
 * @author hosaka
 */
public class Config {
    String host = "localhost";
    int port = 0, listen = 0;
    String directory = "";
    
    public Config() {
        FileReader inFile = null;
        BufferedReader reader = null;
        try {
            inFile = new FileReader("config.ini");
            reader = new BufferedReader(inFile);
            host = reader.readLine();
            port = Integer.parseInt(reader.readLine());
            listen = Integer.parseInt(reader.readLine());
            directory = reader.readLine();
        } catch (Exception e) {
            ;
        } finally {
            try {
                inFile.close();
                reader.close();
            } catch(Exception e) {
                ;
            }
        }
    }
    
    public void save() {
        FileWriter outFile = null;
        PrintWriter writer = null;
        try {
            outFile = new FileWriter("config.ini");
            writer = new PrintWriter(outFile);
            writer.println(host);
            writer.println(port);
            writer.println(listen);
            writer.println(directory);
            writer.flush();
        } catch (Exception e) {
            ;
        } finally {
            try {
                outFile.close();
                writer.close();
            } catch(Exception e) {
                ;
            }
        }
    }
}
